; byte_in_out.a51 

; rev path 3/16
	$NOSYMBOLS	; keeps listing short
	$INCLUDE (C:\SiLabs\MCU\INC\c8051f410.inc) 

	STACKBOT EQU 80h					; put stack at start of scratch indirectly-addressable block (80h and up)

	KEYPAD EQU P2
	DISPLAY EQU P1

	ORG 0h
	LJMP STARTUP

	ORG 080h
				
STARTUP: MOV SP, #STACKBOT-1  ; "-1" because SP increments before first store
          ACALL USUAL_SETUP


TRANSFER:	MOV DISPLAY, KEYPAD
          SJMP TRANSFER


;--- SUBROUTINES ----
USUAL_SETUP: ANL   PCA0MD, #NOT(040h)        ; Disable the WDT.
                                             ; Clear Watchdog Enable bit
				; Configure the Oscillator
          ORL   OSCICN, #04h         ; sysclk = 24.5 Mhz / 8

         ; Enable the Port I/O Crossbar
          MOV   XBR1, #40h           ; Enable Crossbar
          RET

END
	
